Skip to main content
`Ctrl`+`K`
scipy.linalg.interpolative.

# estimate_spectral_norm

scipy.linalg.interpolative.estimate_spectral_norm(A, its=20, rng=None)

  Estimate spectral norm of a matrix by the randomized power method.

  Parameters:
    A `scipy.sparse.linalg.LinearOperator`

      Matrix given as a `scipy.sparse.linalg.LinearOperator` with the matvec and rmatvec methods (to apply the matrix and its adjoint).

    its int, optional

      Number of power method iterations.

    rng `numpy.random.Generator`, optional

      Pseudorandom number generator state. When rng is None, a new `numpy.random.Generator` is created using entropy from the operating system. Types other than `numpy.random.Generator` are passed to `numpy.random.default_rng` to instantiate a `Generator`. If rand is `False`, the argument is ignored.

  Returns:
    float

      Spectral norm estimate.